Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.configuration
Interface JMSConnectionFactoryMBean

All Superinterfaces:
  ConfigurationMBean, DeploymentMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, JMSConstants, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. 9.0.0.0 Replaced by `weblogic.j2ee.descriptor.wl.JmsConnectionFactoryBean`

public interface JMSConnectionFactoryMBean
extends DeploymentMBean, JMSConstants

This class represents a JMS connection factory. Connection factories are objects that enable JMS clients to create JMS connections.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from interface weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from interface weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, ALWAYSFORWARD, AT_LEAST_ONCE, AT_MOST_ONCE, AUTH_PRINS, CONSUMPTION_ENABLED, CONSUMPTION_PAUSED, CONSUMPTION_PAUSING, DEFAULT_MESSAGE_BUFFER_SIZE, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISABLED, DISCARD, ENABLED, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, EXACTLY_ONCE, EXPORT_TO_ALL, EXPORT_TO_NONE, FIFO, INITIALCONTEXTFACTORY, INSERTION_ENABLED, INSERTION_PAUSED, INSERTION_PAUSING, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NEVER, NO_DELIVERY, NON_PERSISTENT, NON_XML, PAUSED_AT_STARTUP_DEFAULT, PAUSED_AT_STARTUP_FALSE, PAUSED_AT_STARTUP_TRUE, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, PRODUCTION_ENABLED, PRODUCTION_PAUSED, PRODUCTION_PAUSING, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SUPPORTS, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TOPIC_SUBSCRIBER_ONLY, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA, UNITOFORDER_STANDARD, UNITOFORDER_SYSTEM, XML, XMLALL`

Method Summary
`String` | `getAcknowledgePolicy()` Deprecated. Acknowledge policy for non-transacted sessions that use the `CLIENT_ACKNOWLEDGE` mode.
`boolean` | `getAllowCloseInOnMessage()` Deprecated. Specifies whether a connection factory creates message consumers that allow a `close()` or `stop()` method to be issued within its `onMessage()` method call.
`String` | `getClientId()` Deprecated. An optional client ID for a durable subscriber that uses this JMS connection factory.
`String` | `getDefaultDeliveryMode()` Deprecated. The delivery mode assigned to all messages sent by a producer using this connection factory.
`int` | `getDefaultPriority()` Deprecated. The default priority used for messages when a priority is not explicitly defined.
`long` | `getDefaultRedeliveryDelay()` Deprecated. The number of milliseconds before rolled back or recovered messages are redelivered.
`long` | `getDefaultTimeToDeliver()` Deprecated. The number of milliseconds between when a message is produced and when it is made visible on its target destination.
`long` | `getDefaultTimeToLive()` Deprecated. The default maximum number of milliseconds that a message will exist.
`int` | `getFlowInterval()` Deprecated. The number of seconds (between 0 and a positive 32-bit integer) when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.
`int` | `getFlowMaximum()` Deprecated. The maximum number of messages-per-second (between 0 and a positive 32-bit integer) allowed for a producer that is experiencing a threshold condition on the JMS server or queue/topic destination.
`int` | `getFlowMinimum()` Deprecated. The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition.
`int` | `getFlowSteps()` Deprecated. The number of steps (between 1 and a positive 32-bit integer) used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa.
`String` | `getJNDIName()` Deprecated. The JNDI name used to look up this JMS connection factory within the JNDI namespace.
`int` | `getMessagesMaximum()` Deprecated. The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener.
`String` | `getOverrunPolicy()` Deprecated. Overrun policy for topic subscribers that use the multicast extension.
`long` | `getSendTimeout()` Deprecated. The maximum number of milliseconds that a sender will wait for sufficient space (quota) on a JMS server and destination to accommodate the message being sent.
`long` | `getTransactionTimeout()` Deprecated. The timeout seconds for all transactions on transacted sessions created with this JMS connection factory.
`boolean` | `isFlowControlEnabled()` Deprecated. Indicates whether flow control is enabled for a producer created using this connection factory.
`boolean` | `isLoadBalancingEnabled()` Deprecated. Indicates whether non-anonymous producers sending to a distributed destination are load balanced on a per-send basis.
`boolean` | `isServerAffinityEnabled()` Deprecated. Indicates whether a server that is load balancing consumers or producers across multiple physical destinations in a distributed destination set will first attempt to load balance across any other physical destinations that are also running on the same WebLogic Server instance.
`boolean` | `isUserTransactionsEnabled()` Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`
`boolean` | `isXAConnectionFactoryEnabled()` Deprecated. Specifies whether a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory.
`boolean` | `isXAServerEnabled()` Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`
`void` | `setAcknowledgePolicy(String policy)` Deprecated. Sets the value of the AcknowledgePolicy attribute.
`void` | `setAllowCloseInOnMessage(boolean allowCloseInOnMessage)` Deprecated. Sets the value of the AllowCloseInOnMessage attribute.
`void` | `setClientId(String id)` Deprecated. Sets the value of the ClientId attribute.
`void` | `setDefaultDeliveryMode(String defaultDeliveryMode)` Deprecated. Sets the value of the DefaultDeliveryMode value.
`void` | `setDefaultPriority(int defaultPriority)` Deprecated. Sets the value of the DefaultPriority attribute.
`void` | `setDefaultRedeliveryDelay(long defaultRedeliveryDelay)` Deprecated. Sets the value of the DefaultRedeliveryDelay attribute.
`void` | `setDefaultTimeToDeliver(long timeToDeliver)` Deprecated. Sets the value of the DefaultTimeToDeliver attribute.
`void` | `setDefaultTimeToLive(long defaultTimeToLive)` Deprecated. Sets the value of the DefaultTimeToLive attribute.
`void` | `setFlowControlEnabled(boolean flowControlEnabled)` Deprecated. Sets the value of the FlowControlEnabled attribute.
`void` | `setFlowInterval(int flowInterval)` Deprecated. Sets the value of the FlowInterval attribute.
`void` | `setFlowMaximum(int flowMaximum)` Deprecated. Sets the value of the FlowMaximum attribute.
`void` | `setFlowMinimum(int flowMinimum)` Deprecated. Sets the value of the FlowMinimum attribute.
`void` | `setFlowSteps(int flowSteps)` Deprecated. Sets the value of the FlowSteps attribute.
`void` | `setJNDIName(String name)` Deprecated. Sets the value of the JNDIName attribute.
`void` | `setLoadBalancingEnabled(boolean loadBalancingEnabled)` Deprecated. Sets the value of the LoadBalancingEnabled attribute.
`void` | `setMessagesMaximum(int messagesMaximum)` Deprecated. Sets the value of the MessagesMaximum attribute.
`void` | `setOverrunPolicy(String policy)` Deprecated. Sets the value of the OverrunPolicy attribute.
`void` | `setSendTimeout(long sendTimeout)` Deprecated. Sets the value of the SendTimeout value.
`void` | `setServerAffinityEnabled(boolean serverAffinityEnabled)` Deprecated. Sets the value of the ServerAffinityEnabled attribute.
`void` | `setTransactionTimeout(long transactionTimeout)` Deprecated. Sets the value of the TransactionTimeout attribute.
`void` | `setUserTransactionsEnabled(boolean userTransactionsEnabled)` Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`
`void` | `setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)` Deprecated. Sets the value of the XAConnectionFactoryEnabled attribute.
`void` | `setXAServerEnabled(boolean XAServerEnabled)` Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getName, getNotes, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Method Detail

### getAcknowledgePolicy

    public String getAcknowledgePolicy()

  Deprecated.

  Acknowledge policy for non-transacted sessions that use the `CLIENT_ACKNOWLEDGE` mode. `All` specifies that calling acknowledge on a message acknowledges all unacknowledged messages received on the session. `Previous` specifies that calling acknowledge on a message acknowledges only unacknowledged messages up to, and including, the given message.

  Note: This value only applies to implementations that use the `CLIENT_ACKNOWLEDGE` acknowledge mode for a non-transacted session.

  Note: This value works around a change in the JMS specification. Specifically, the specification allowed users to acknowledge all messages before and including the message being acknowledged. The specification was changed so that acknowledging any message acknowledges all messages ever received (even those received after the message being acknowledge), as follows:

  - An acknowledge policy of `ACKNOWLEDGE_PREVIOUS` retains the old behavior (acknowledge all message up to and including the message being acknowledged).

  - An acknowledge policy of `ACKNOWLEDGE_ALL` yields the new behavior, where all messages received by the given session are acknowledged regardless of which message is being used to effect the acknowledge.

  Returns:
    The acknowledgePolicy value

### getAllowCloseInOnMessage

    public boolean getAllowCloseInOnMessage()

  Deprecated.

  Specifies whether a connection factory creates message consumers that allow a `close()` or `stop()` method to be issued within its `onMessage()` method call.

  - If selected (true), a `close()` method call from within an `onMessage()` method call will succeed instead of blocking forever. If the acknowledge mode of the session is set to `AUTO_ACKNOWLEDGE`, the current message will still be acknowledged automatically when the `onMessage()` call completes.

  - If not selected (false), it will cause the `stop()` and `close()` methods to hang if called from `onMessage()`.

  Note: This value is dynamic and can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The allowCloseInOnMessage value

### getClientId

    public String getClientId()

  Deprecated.

  An optional client ID for a durable subscriber that uses this JMS connection factory. Configuring this value on the connection factory prevents more than one JMS client from using a connection from the factory. Generally, JMS durable subscriber applications set their client IDs dynamically using the `javax.jms.Connection.setClientID()` call.

  Returns:
    The clientId value

### getDefaultDeliveryMode

    public String getDefaultDeliveryMode()

  Deprecated.

  The delivery mode assigned to all messages sent by a producer using this connection factory.

  Message producers can get the delivery mode explicitly by calling the `javax.jms.MessageProducer.getDeliveryMode()` method.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The defaultDeliveryMode value

### getDefaultPriority

    public int getDefaultPriority()

  Deprecated.

  The default priority used for messages when a priority is not explicitly defined.

  Message producers can set the priority explicitly by calling the `javax.jms.MessageProducer.setPriority()` method.

  Range of Values: Between 0 and 9.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The defaultPriority value

### getDefaultRedeliveryDelay

    public long getDefaultRedeliveryDelay()

  Deprecated.

  The number of milliseconds before rolled back or recovered messages are redelivered. This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Message consumers can get the redelivery delay explicitly by calling the `weblogic.jms.extensions.WLSession.getRedliveryDelay()` method.

  Range of Values: Between `0` and a positive 64-bit integer.

  Returns:
    The defaultRedeliveryDelay value

### getDefaultTimeToDeliver

    public long getDefaultTimeToDeliver()

  Deprecated.

  The number of milliseconds between when a message is produced and when it is made visible on its target destination.

  Message producers can get the time-to-deliver explicitly by calling the `weblogic.jms.extensions.WLMessageProducer.getTimeToDeliver()` method.

  Range of Values: Between `0` and a positive 64-bit integer.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The defaultTimeToDeliver value

### getDefaultTimeToLive

    public long getDefaultTimeToLive()

  Deprecated.

  The default maximum number of milliseconds that a message will exist. Used for messages for which a Time to Live was not explicitly defined.

  The default value of `0` indicates that the message has an infinite amount time to live.

  Message producers can get the time-to-live explicitly by calling the `javax.jms.MessageProducer.getTimeToLive()` method.

  Range of Values: Between `0` and a positive 64-bit integer.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The defaultTimeToLive value

### getFlowInterval

    public int getFlowInterval()

  Deprecated.

  The number of seconds (between 0 and a positive 32-bit integer) when a producer adjusts its flow from the Flow Maximum number of messages to the Flow Minimum amount, or vice versa.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  Returns:
    The flowInterval value

### getFlowMaximum

    public int getFlowMaximum()

  Deprecated.

  The maximum number of messages-per-second (between 0 and a positive 32-bit integer) allowed for a producer that is experiencing a threshold condition on the JMS server or queue/topic destination. When a producer is flow controlled it will never be allowed to go faster than this number of messages per second.

  If a producer is not currently limiting its flow when a threshold condition is reached, the initial flow limit for that producer is set to FlowMaximum. If a producer is already limiting its flow when a threshold condition is reached (the flow limit is less than FlowMaximum), then the producer will continue at its current flow limit until the next time the flow is evaluated.

  Note: Once a threshold condition has subsided, the producer is not permitted to ignore its flow limit. If its flow limit is less than the FlowMaximum, then the producer must gradually increase its flow to the FlowMaximum each time the flow is evaluated. When the producer finally reaches the FlowMaximum, it can then ignore its flow limit and send without limiting its flow.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  Returns:
    The flowMaximum value

### getFlowMinimum

    public int getFlowMinimum()

  Deprecated.

  The minimum number of messages-per-second allowed for a producer that is experiencing a threshold condition. That is, WebLogic JMS will not further slow down a producer whose message flow limit is at its Flow Minimum.

  Range of Values: Between 0 and a positive 32-bit integer.

  Note: When a producer is flow controlled it will never be required to go slower than FlowMinimum messages per second.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  Returns:
    The flowMinimum value

### getFlowSteps

    public int getFlowSteps()

  Deprecated.

  The number of steps (between 1 and a positive 32-bit integer) used when a producer is adjusting its flow from the Flow Maximum amount of messages to the Flow Minimum amount, or vice versa.

  Also, the movement (i.e., the rate of adjustment) is calculated by dividing the difference between the Flow Maximum and the Flow Minimum into steps. At each Flow Step, the flow is adjusted upward or downward, as necessary, based on the current conditions, as follows:

  - The downward movement (the decay) is geometric over the specified period of time (Flow Interval) and according to the specified number of Flow Steps. (For example, 100, 50, 25, 12.5)

  - The movement upward is linear. The difference is simply divided by the number of steps.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections.

  Returns:
    The flowSteps value

### getJNDIName

    public String getJNDIName()

  Deprecated.

  The JNDI name used to look up this JMS connection factory within the JNDI namespace.

  Returns:
    The jNDIName value

### getMessagesMaximum

    public int getMessagesMaximum()

  Deprecated.

  The maximum number of messages that may exist for an asynchronous session and that have not yet been passed to the message listener. A value of `-1` indicates that there is no limit on the number of messages. This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory. (For topic subscribers that use the multicast extension, also see the Overrun Policy field.)

  When the number of messages reaches the MessagesMaximum value:

  - For multicast sessions, new messages are discarded according the policy specified by the OverrunPolicy value and a DataOverrunException is thrown.

  - For non-multicast sessions, new messages are flow-controlled, or retained on the server until the application can accommodate the messages.

  Range of Values: Between -1 and a positive 32-bit integer.

  Note: For multicast sessions, when a connection is stopped, messages will continue to be delivered, but only until the MessagesMaximum value is reached. Once this value is reached, messages will be discarded based on the Overrun policy.

  Returns:
    The messagesMaximum value

### getOverrunPolicy

    public String getOverrunPolicy()

  Deprecated.

  Overrun policy for topic subscribers that use the multicast extension. The policy to use when the number of outstanding multicast messages reaches the value specified in the Messages Maximum field and some messages must be discarded. `Keep New` indicates that the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed. `Keep Old` indicates that the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed. Message age is defined by the order of receipt, not by the JMSTimestamp value.

  The policy to use when the number of outstanding multicast messages reaches the value specified in MessagesMaximum and some messages must be discarded.

  - If set to `Keep New`, the most recent messages are given priority over the oldest messages, and the oldest messages are discarded, as needed.

  - If set to `Keep Old`, the oldest messages are given priority over the most recent messages, and the most recent messages are discarded, as needed.

  Message age is defined by the order of receipt, not by the JMSTimestamp value.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Returns:
    The overrunPolicy value

### getSendTimeout

    public long getSendTimeout()

  Deprecated.

  The maximum number of milliseconds that a sender will wait for sufficient space (quota) on a JMS server and destination to accommodate the message being sent. Also see the Blocking Send Policy field on the JMS Server > Configuration > Thresholds & Quotas tab.

  Range of Values: Between `0` and a positive 64-bit integer.

  The default time is `10` milliseconds. A value of `0` indicates that the sender does not want to wait for space.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections or their producers. It only affects new connections made with this connection factory. Producers inherit the setting from the connection factory used to create their session and connection. The value can then be overridden at run time by setting the value on the producer.

  Returns:
    The sendTimeout value

### getTransactionTimeout

    public long getTransactionTimeout()

  Deprecated.

  The timeout seconds for all transactions on transacted sessions created with this JMS connection factory. This setting has no effect on the transaction-timeout for JTA user transactions.

  Range of Values: Between 0 and a positive 32-bit integer.

  Note: This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Note: If a transacted session is still active after the timeout has elapsed, the transaction is rolled back. A value of 0 indicates that the default value will be used. If you have long-running transactions, you might want to adjust the value of this value to allow transactions to complete.

  Returns:
    The transactionTimeout value

### isFlowControlEnabled

    public boolean isFlowControlEnabled()

  Deprecated.

  Indicates whether flow control is enabled for a producer created using this connection factory. If true, the associated message producers will be slowed down if the JMS server reaches Bytes/MessagesThresholdHigh.

  Returns:
    The flowControlEnabled value

### isLoadBalancingEnabled

    public boolean isLoadBalancingEnabled()

  Deprecated.

  Indicates whether non-anonymous producers sending to a distributed destination are load balanced on a per-send basis.

  - If true, the associated message producers will be load balanced on every `send()` or `publish()`.

  - If false, the associated message producers will be load balanced on the first `send()` or `publish()`.

  Returns:
    The loadBalancingEnabled value

### isServerAffinityEnabled

    public boolean isServerAffinityEnabled()

  Deprecated.

  Indicates whether a server that is load balancing consumers or producers across multiple physical destinations in a distributed destination set will first attempt to load balance across any other physical destinations that are also running on the same WebLogic Server instance.

  Returns:
    The serverAffinityEnabled value

### isUserTransactionsEnabled

    public boolean isUserTransactionsEnabled()

  Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`

  Specifies whether a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored. This value is dynamic. It can be changed at any time. However, changing the value does not affect existing connections. It only affects new connections made with this connection factory.

  Note: This value is now deprecated. If the XAServerEnabled value is set, then this value is automatically set as well.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Returns:
    The userTransactionsEnabled value

### isXAConnectionFactoryEnabled

    public boolean isXAConnectionFactoryEnabled()

  Deprecated.

  Specifies whether a XA queue or XA topic connection factory is returned, instead of a queue or topic connection factory. An XA factory is required for JMS applications to use JTA user-transactions, but is not required for transacted sessions. All connections created from an XA factory, whether they are XAConnections or plain Connections, become JTA user-transaction-aware.

  In addition, this value indicates whether or not a connection factory creates sessions that are JTA aware. If true, the associated message producers and message consumers look into the running thread for a transaction context. Otherwise, the current JTA transaction will be ignored.

  Note: Transacted sessions ignore the current threads transaction context in favor of their own internal transaction, regardless of the setting. This setting only affects non-transacted sessions.

  Returns:
    The xAConnectionFactoryEnabled value

### isXAServerEnabled

    public boolean isXAServerEnabled()

  Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`

  Indicates whether an XA connection factory will be returned instead of a standard connection factory.

  Note: This value is deprecated. It is now possible to use a single XA-enabled connection factory for both XA and non-XA purposes.

  Returns:
    The xAServerEnabled value

### setAcknowledgePolicy

    public void setAcknowledgePolicy(String policy)
                              throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the AcknowledgePolicy attribute.

  Parameters:
    `policy` - The new acknowledgePolicy value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAcknowledgePolicy()`
  Default value:
    JMSConstants.ACKNOWLEDGE_ALL
  Legal values:
    JMSConstants.ACKNOWLEDGE_ALL,JMSConstants.ACKNOWLEDGE_PREVIOUS
  A dynamic MBean attribute.
    true

### setAllowCloseInOnMessage

    public void setAllowCloseInOnMessage(boolean allowCloseInOnMessage)
                                  throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the AllowCloseInOnMessage attribute.

  Parameters:
    `allowCloseInOnMessage` - The new allowCloseInOnMessage value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getAllowCloseInOnMessage()`
  Default value:
    false
  A dynamic MBean attribute.
    true

### setClientId

    public void setClientId(String id)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the ClientId attribute.

  Parameters:
    `id` - The new clientId value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getClientId()`
  A dynamic MBean attribute.
    true

### setDefaultDeliveryMode

    public void setDefaultDeliveryMode(String defaultDeliveryMode)
                                throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the DefaultDeliveryMode value.

  Parameters:
    `defaultDeliveryMode` - The new defaultDeliveryMode value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultDeliveryMode()`
  Default value:
    JMSConstants.PERSISTENT
  Legal values:
    JMSConstants.PERSISTENT,JMSConstants.NON_PERSISTENT
  A dynamic MBean attribute.
    true

### setDefaultPriority

    public void setDefaultPriority(int defaultPriority)
                            throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the DefaultPriority attribute.

  Message producers can set the priority explicitly by calling the `javax.jms.MessageProducer.setPriority()` method.

  Parameters:
    `defaultPriority` - The new defaultPriority value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultPriority()`
  Default value:
    JMSConstants.PRIORITY_DEFAULT
  Minimum value:
    JMSConstants.PRIORITY_MINIMUM
  Maximum value:
    JMSConstants.PRIORITY_MAXIMUM
  A dynamic MBean attribute.
    true

### setDefaultRedeliveryDelay

    public void setDefaultRedeliveryDelay(long defaultRedeliveryDelay)
                                   throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the DefaultRedeliveryDelay attribute.

  Parameters:
    `defaultRedeliveryDelay` - The new defaultRedeliveryDelay value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultRedeliveryDelay()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.
    true

### setDefaultTimeToDeliver

    public void setDefaultTimeToDeliver(long timeToDeliver)
                                 throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the DefaultTimeToDeliver attribute.

  Parameters:
    `timeToDeliver` - The new defaultTimeToDeliver value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultTimeToDeliver()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.
    true

### setDefaultTimeToLive

    public void setDefaultTimeToLive(long defaultTimeToLive)
                              throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the DefaultTimeToLive attribute.

  Parameters:
    `defaultTimeToLive` - The new defaultTimeToLive value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getDefaultTimeToLive()`
  Default value:
    0
  Minimum value:
    0
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.
    true

### setFlowControlEnabled

    public void setFlowControlEnabled(boolean flowControlEnabled)
                               throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the FlowControlEnabled attribute.

  Parameters:
    `flowControlEnabled` - The new flowControlEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isFlowControlEnabled()`
  Default value:
    true
  A dynamic MBean attribute.
    true

### setFlowInterval

    public void setFlowInterval(int flowInterval)
                         throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the FlowInterval attribute.

  Parameters:
    `flowInterval` - The new flowInterval value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFlowInterval()`
  Default value:
    60
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setFlowMaximum

    public void setFlowMaximum(int flowMaximum)
                        throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the FlowMaximum attribute.

  Parameters:
    `flowMaximum` - The new flowMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFlowMaximum()`
  Default value:
    500
  Minimum value:
    1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setFlowMinimum

    public void setFlowMinimum(int flowMinimum)
                        throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the FlowMinimum attribute.

  Parameters:
    `flowMinimum` - The new flowMinimum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFlowMinimum()`
  Default value:
    50
  Minimum value:
    1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setFlowSteps

    public void setFlowSteps(int flowSteps)
                      throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the FlowSteps attribute.

  Parameters:
    `flowSteps` - The new flowSteps value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getFlowSteps()`
  Default value:
    10
  Minimum value:
    1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setJNDIName

    public void setJNDIName(String name)
                     throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the JNDIName attribute.

  Parameters:
    `name` - The new jNDIName value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getJNDIName()`
  A dynamic MBean attribute.
    false

### setLoadBalancingEnabled

    public void setLoadBalancingEnabled(boolean loadBalancingEnabled)
                                 throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the LoadBalancingEnabled attribute.

  Parameters:
    `loadBalancingEnabled` - The new loadBalancingEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isLoadBalancingEnabled()`
  Default value:
    true
  A dynamic MBean attribute.
    true

### setMessagesMaximum

    public void setMessagesMaximum(int messagesMaximum)
                            throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the MessagesMaximum attribute.

  Parameters:
    `messagesMaximum` - The new messagesMaximum value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getMessagesMaximum()`
  Default value:
    10
  Minimum value:
    -1
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setOverrunPolicy

    public void setOverrunPolicy(String policy)
                          throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the OverrunPolicy attribute.

  Parameters:
    `policy` - The new overrunPolicy value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getOverrunPolicy()`
  Default value:
    JMSConstants.KEEP_OLD
  Legal values:
    JMSConstants.KEEP_OLD, JMSConstants.KEEP_NEW
  A dynamic MBean attribute.
    true

### setSendTimeout

    public void setSendTimeout(long sendTimeout)
                        throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the SendTimeout value.

  Parameters:
    `sendTimeout` - The new sendTimeout value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getSendTimeout()`
  Default value:
    JMSConstants.SEND_QUOTA_BLOCKING_TIMEOUT
  Minimum value:
    0
  Maximum value:
    java.lang.Long.MAX_VALUE
  A dynamic MBean attribute.
    true

### setServerAffinityEnabled

    public void setServerAffinityEnabled(boolean serverAffinityEnabled)
                                  throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the ServerAffinityEnabled attribute.

  Parameters:
    `serverAffinityEnabled` - The new serverAffinityEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isServerAffinityEnabled()`
  Default value:
    true
  A dynamic MBean attribute.
    true

### setTransactionTimeout

    public void setTransactionTimeout(long transactionTimeout)
                               throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the TransactionTimeout attribute.

  Parameters:
    `transactionTimeout` - The new transactionTimeout value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `getTransactionTimeout()`
  Default value:
    3600
  Minimum value:
    0
  Maximum value:
    java.lang.Integer.MAX_VALUE
  A dynamic MBean attribute.
    true

### setUserTransactionsEnabled

    public void setUserTransactionsEnabled(boolean userTransactionsEnabled)
                                    throws InvalidAttributeValueException

  Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`

  Sets the value of the TransactionsEnabled attribute.

  Parameters:
    `userTransactionsEnabled` - The new userTransactionsEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isUserTransactionsEnabled()`
  Default value:
    false
  A dynamic MBean attribute.
    true

### setXAConnectionFactoryEnabled

    public void setXAConnectionFactoryEnabled(boolean XAConnectionFactoryEnabled)
                                       throws InvalidAttributeValueException

  Deprecated.

  Sets the value of the XAConnectionFactoryEnabled attribute.

  Parameters:
    `XAConnectionFactoryEnabled` - The new xAConnectionFactoryEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isXAConnectionFactoryEnabled()`
  Default value:
    false
  A dynamic MBean attribute.
    false

### setXAServerEnabled

    public void setXAServerEnabled(boolean XAServerEnabled)
                            throws InvalidAttributeValueException

  Deprecated. 8.1.0.0 Replaced by `weblogic.management.configuration.JMSConnectionFactoryMBean#XAConnectionFactoryEnabled`

  Sets the value of the XAServerEnabled attribute.

  Parameters:
    `XAServerEnabled` - The new xAServerEnabled value
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `isXAServerEnabled()`
  Default value:
    false
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD